Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plus.naming
Class Link

    java.lang.Object
      org.mortbay.jetty.plus.naming.NamingEntry
          org.mortbay.jetty.plus.naming.Link

    public class Link

extends NamingEntry

Field Summary

Fields inherited from class org.mortbay.jetty.plus.naming.NamingEntry
`__contextName, jndiName, namingEntryNameString, objectNameString, objectToBind`

Constructor Summary
`Link(java.lang.Object scope, java.lang.String jndiName, java.lang.Object object)`
`Link(java.lang.String jndiName, java.lang.Object object)`

Method Summary
`void` | `bindToENC(java.lang.String localName)` Add a java:comp/env binding for the object represented by this NamingEntry, but bind it as the name supplied

Methods inherited from class org.mortbay.jetty.plus.naming.NamingEntry
`getJndiName, getJndiNameInScope, getObjectToBind, release, save, unbindENC`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Link

    public Link(java.lang.Object scope,
                java.lang.String jndiName,
                java.lang.Object object)
         throws javax.naming.NamingException

Throws:
  `javax.naming.NamingException`

### Link

    public Link(java.lang.String jndiName,
                java.lang.Object object)
         throws javax.naming.NamingException

Throws:
  `javax.naming.NamingException`

Method Detail

### bindToENC

    public void bindToENC(java.lang.String localName)
                   throws javax.naming.NamingException

  Description copied from class: `NamingEntry`
  Add a java:comp/env binding for the object represented by this NamingEntry, but bind it as the name supplied

  Overrides:
    `bindToENC` in class `NamingEntry`
  Throws:
    `javax.naming.NamingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.